// SPDX-License-Identifier: MIT
pragma solidity ^0.8.0;

import {AaveV3Base} from 'aave-address-book/AaveV3Base.sol';
import {MiscBase} from 'aave-address-book/MiscBase.sol';
import {GovernanceV3Base} from 'aave-address-book/GovernanceV3Base.sol';
import {RenewalV3Params, RenewalV3BasePayload} from './RenewalV3BasePayload.sol';
import {ProtocolGuardians, GovernanceGuardians} from './Guardians.sol';
/**
 * @title Update legacy guardian
 * @author BGD Labs @bgdlabs
 * - Discussion: https://governance.aave.com/t/bgd-technical-maintenance-proposals/15274/48
 */
contract AaveV3Base_UpdateLegacyGuardian_20241016 is RenewalV3BasePayload {
  constructor()
    RenewalV3BasePayload(
      RenewalV3Params({
        aclManager: AaveV3Base.ACL_MANAGER,
        governance: address(0),
        payloadsController: address(GovernanceV3Base.PAYLOADS_CONTROLLER),
        protocolGuardian: ProtocolGuardians.BASE_GUARDIAN,
        governanceGuardian: GovernanceGuardians.BASE_GUARDIAN,
        oldGuardian: MiscBase.PROTOCOL_GUARDIAN
      })
    )
  {}
}
