// SPDX-License-Identifier: MIT
pragma solidity ^0.8.0;

import {AaveV3Ethereum} from 'aave-address-book/AaveV3Ethereum.sol';
import {MiscEthereum} from 'aave-address-book/MiscEthereum.sol';
import {GovernanceV3Ethereum} from 'aave-address-book/GovernanceV3Ethereum.sol';
import {RenewalV3Params, RenewalV3BasePayload} from './RenewalV3BasePayload.sol';
import {ProtocolGuardians, GovernanceGuardians} from './Guardians.sol';
/**
 * @title Update legacy guardian
 * @author BGD Labs @bgdlabs
 * - Discussion: https://governance.aave.com/t/bgd-technical-maintenance-proposals/15274/48
 */
contract AaveV3Ethereum_UpdateLegacyGuardian_20241016 is RenewalV3BasePayload {
  constructor()
    RenewalV3BasePayload(
      RenewalV3Params({
        aclManager: AaveV3Ethereum.ACL_MANAGER,
        governance: address(GovernanceV3Ethereum.GOVERNANCE),
        payloadsController: address(GovernanceV3Ethereum.PAYLOADS_CONTROLLER),
        protocolGuardian: ProtocolGuardians.ETHEREUM_GUARDIAN,
        governanceGuardian: GovernanceGuardians.ETHEREUM_GUARDIAN,
        oldGuardian: MiscEthereum.PROTOCOL_GUARDIAN
      })
    )
  {}
}
