// SPDX-License-Identifier: MIT
pragma solidity ^0.8.0;

import {AaveV3Gnosis} from 'aave-address-book/AaveV3Gnosis.sol';
import {MiscGnosis} from 'aave-address-book/MiscGnosis.sol';
import {GovernanceV3Gnosis} from 'aave-address-book/GovernanceV3Gnosis.sol';
import {RenewalV3Params, RenewalV3BasePayload} from './RenewalV3BasePayload.sol';
import {ProtocolGuardians, GovernanceGuardians} from './Guardians.sol';
/**
 * @title Update legacy guardian
 * @author BGD Labs @bgdlabs
 * - Discussion: https://governance.aave.com/t/bgd-technical-maintenance-proposals/15274/48
 */
contract AaveV3Gnosis_UpdateLegacyGuardian_20241016 is RenewalV3BasePayload {
  constructor()
    RenewalV3BasePayload(
      RenewalV3Params({
        aclManager: AaveV3Gnosis.ACL_MANAGER,
        governance: address(0),
        payloadsController: address(GovernanceV3Gnosis.PAYLOADS_CONTROLLER),
        protocolGuardian: ProtocolGuardians.GNOSIS_GUARDIAN,
        governanceGuardian: GovernanceGuardians.GNOSIS_GUARDIAN,
        oldGuardian: MiscGnosis.PROTOCOL_GUARDIAN
      })
    )
  {}
}
