// SPDX-License-Identifier: MIT
pragma solidity ^0.8.0;

import {AaveV3Metis} from 'aave-address-book/AaveV3Metis.sol';
import {MiscMetis} from 'aave-address-book/MiscMetis.sol';
import {GovernanceV3Metis} from 'aave-address-book/GovernanceV3Metis.sol';
import {RenewalV3Params, RenewalV3BasePayload} from './RenewalV3BasePayload.sol';
import {ProtocolGuardians, GovernanceGuardians} from './Guardians.sol';
/**
 * @title Update legacy guardian
 * @author BGD Labs @bgdlabs
 * - Discussion: https://governance.aave.com/t/bgd-technical-maintenance-proposals/15274/48
 */
contract AaveV3Metis_UpdateLegacyGuardian_20241016 is RenewalV3BasePayload {
  constructor()
    RenewalV3BasePayload(
      RenewalV3Params({
        aclManager: AaveV3Metis.ACL_MANAGER,
        governance: address(0),
        payloadsController: address(GovernanceV3Metis.PAYLOADS_CONTROLLER),
        protocolGuardian: ProtocolGuardians.METIS_GUARDIAN,
        governanceGuardian: GovernanceGuardians.METIS_GUARDIAN,
        oldGuardian: MiscMetis.PROTOCOL_GUARDIAN
      })
    )
  {}
}
