// SPDX-License-Identifier: MIT
pragma solidity ^0.8.0;

import {AaveV3Polygon} from 'aave-address-book/AaveV3Polygon.sol';
import {MiscPolygon} from 'aave-address-book/MiscPolygon.sol';
import {GovernanceV3Polygon} from 'aave-address-book/GovernanceV3Polygon.sol';
import {RenewalV3Params, RenewalV3BasePayload} from './RenewalV3BasePayload.sol';
import {ProtocolGuardians, GovernanceGuardians} from './Guardians.sol';
/**
 * @title Update legacy guardian
 * @author BGD Labs @bgdlabs
 * - Discussion: https://governance.aave.com/t/bgd-technical-maintenance-proposals/15274/48
 */
contract AaveV3Polygon_UpdateLegacyGuardian_20241016 is RenewalV3BasePayload {
  constructor()
    RenewalV3BasePayload(
      RenewalV3Params({
        aclManager: AaveV3Polygon.ACL_MANAGER,
        governance: address(0),
        payloadsController: address(GovernanceV3Polygon.PAYLOADS_CONTROLLER),
        protocolGuardian: ProtocolGuardians.POLYGON_GUARDIAN,
        governanceGuardian: GovernanceGuardians.POLYGON_GUARDIAN,
        oldGuardian: MiscPolygon.PROTOCOL_GUARDIAN
      })
    )
  {}
}
